using EventFlow.Core;

namespace Books.Api.Domain.JournalEntryDrafts;

public class JournalEntryDraftId(string value) : Identity<JournalEntryDraftId>(value)
{
    public static new JournalEntryDraftId New() => new($"journalentrydraft-{Guid.NewGuid():D}");
}
